Imports System.Data.SqlClient
Public Class frmGrade
    Dim cnn As New SqlConnection
    Dim cmdGrade As New SqlCommand
    Dim daGrade As New SqlDataAdapter
    Dim builder As New SqlCommandBuilder(daGrade)

    'Grade DataSet
    Dim dsGrade As New DataSet

    'Section DataSet
    Dim dsSection As New DataSet

    'Subject DataSet
    Dim dsSubject As New DataSet

    Private Sub btnDisplay_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDisplay.Click
        cnn.ConnectionString = "Data Source=.\sqlexpress;Initial Catalog=NDDU-IBED;Integrated Security=True"

        If cnn.State = ConnectionState.Closed Then cnn.Open()


        cmdGrade = cnn.CreateCommand
        cmdGrade.CommandText = "SELECT DISTINCT * FROM tblEnrol WHERE SectionName LIKE '" & cboSection.Text & "' AND SubjectName LIKE '" & cboSubjectName.Text & "'"
        daGrade.MissingSchemaAction = MissingSchemaAction.AddWithKey
        dsGrade.Clear()
        daGrade.SelectCommand = cmdGrade
        daGrade.Fill(dsGrade, "tblEnrol")
        cnn.Close()

        'bind fpspread1 to datasource
        '1st Grading
        FpSpread1.Sheets(0).DataSource = dsGrade
        FpSpread1.Sheets(0).DataMember = "tblEnrol"

        'Create CellType and specify number decimal for 1st grading sheet
        With FpSpread1.ActiveSheet
            .DataAutoCellTypes = False
            Dim num As New FarPoint.Win.Spread.CellType.NumberCellType
            num.DecimalPlaces = 0
            .Columns(12, 81).CellType = num 'column 12 to 81
            .Columns(84, 85).CellType = num
            .Columns(88, 89).CellType = num
            .Columns(92, 93).CellType = num
            .Columns(96, 97).CellType = num
            .Columns(100, 101).CellType = num
            .Columns(104, 105).CellType = num
            .Columns(109).CellType = num

        End With
        FormatSpread()

        'bind FpSpread1.Sheets(1) to datasource
        '2nd Grading
        FpSpread1.Sheets(1).DataSource = dsGrade
        FpSpread1.Sheets(1).DataMember = "tblEnrol"

        'Create CellType and specify number decimal for 1st grading sheet
        With FpSpread1.Sheets(1)
            .DataAutoCellTypes = False
            Dim num As New FarPoint.Win.Spread.CellType.NumberCellType
            num.DecimalPlaces = 0

            'for 2nd grading cell type
            .Columns(135, 204).CellType = num 'Assignment to Total Score (A)
            .Columns(207, 208).CellType = num 'Total Quiz to Total Score (Q)
            .Columns(211, 212).CellType = num 'Total Rec to Total Score (R)
            .Columns(215, 216).CellType = num 'Total Proj to Total Score (P)
            .Columns(219, 220).CellType = num 'Total Speech to Total Score (SP)
            .Columns(223, 224).CellType = num 'Total Reading to Total Score (RDG)
            .Columns(227, 228).CellType = num 'Total Exam to Total Score (E)
            .Columns(232).CellType = num 'Average
        End With
        FormatSpread1()

        '1-2 Deliberation
        FpSpread1.Sheets(2).DataSource = dsGrade
        FpSpread1.Sheets(2).DataMember = "tblEnrol"
        formatspread2()

        '3rd Grading
        FpSpread1.Sheets(3).DataSource = dsGrade
        FpSpread1.Sheets(3).DataMember = "tblEnrol"

        'Create CellType and specify number decimal for 1st grading sheet
        With FpSpread1.Sheets(3)
            .DataAutoCellTypes = False
            Dim num As New FarPoint.Win.Spread.CellType.NumberCellType
            num.DecimalPlaces = 0

            'for 3rd grading cell type
            .Columns(260, 329).CellType = num 'Assignment to Total Score (A)
            .Columns(332, 333).CellType = num 'Total Quiz to Total Score (Q)
            .Columns(336, 337).CellType = num 'Total Rec to Total Score (R)
            .Columns(340, 341).CellType = num 'Total Proj to Total Score (P)
            .Columns(344, 345).CellType = num 'Total Speech to Total Score (SP)
            .Columns(348, 349).CellType = num 'Total Reading to Total Score (RDG)
            .Columns(352, 353).CellType = num 'Total Exam to Total Score (E)
            .Columns(257).CellType = num 'Average
        End With
        FormatSpread3()

        '1-3 Deliberation
        FpSpread1.Sheets(4).DataSource = dsGrade
        FpSpread1.Sheets(4).DataMember = "tblEnrol"
        formatspread4()

        '4th Grading
        FpSpread1.Sheets(5).DataSource = dsGrade
        FpSpread1.Sheets(5).DataMember = "tblEnrol"

        'Create CellType and specify number decimal for 1st grading sheet
        With FpSpread1.Sheets(5)
            .DataAutoCellTypes = False
            Dim num As New FarPoint.Win.Spread.CellType.NumberCellType
            num.DecimalPlaces = 0

            'for 4th grading cell type
            .Columns(385, 454).CellType = num 'Assignment to Total Score (A)
            .Columns(457, 458).CellType = num 'Total Quiz to Total Score (Q)
            .Columns(461, 462).CellType = num 'Total Rec to Total Score (R)
            .Columns(465, 466).CellType = num 'Total Proj to Total Score (P)
            .Columns(469, 470).CellType = num 'Total Speech to Total Score (SP)
            .Columns(473, 474).CellType = num 'Total Reading to Total Score (RDG)
            .Columns(477, 478).CellType = num 'Total Exam to Total Score (E)
            .Columns(482).CellType = num 'Average
        End With
        FormatSpread5()

        ' ''Final Grade
        ''FpSpread1.Sheets(6).DataSource = dsGrade
        ''FpSpread1.Sheets(6).DataMember = "tblEnrol"
        ''formatspread6()



        'Conduct 1st
        FpSpread1.Sheets(7).DataSource = dsGrade
        FpSpread1.Sheets(7).DataMember = "tblEnrol"
        formatspread7()

        'HRM 1st
        FpSpread1.Sheets(11).DataSource = dsGrade
        FpSpread1.Sheets(11).DataMember = "tblEnrol"
        formatspread11()

        'Create CellType and specify number decimal for 1st grading sheet
        With FpSpread1.ActiveSheet
            .DataAutoCellTypes = False
            Dim num As New FarPoint.Win.Spread.CellType.NumberCellType
            num.DecimalPlaces = 0
            .Columns(12, 81).CellType = num 'column 12 to 81
            .Columns(84, 85).CellType = num
            .Columns(88, 89).CellType = num
            .Columns(92, 93).CellType = num
            .Columns(96, 97).CellType = num
            .Columns(100, 101).CellType = num
            .Columns(104, 105).CellType = num
            .Columns(109).CellType = num
        End With

        'bind cboSearch to datasource
        'cboSection.DataSource = ds.Tables("tbl1stG")
        'cboSection.DisplayMember = "SectionName"

        ' Set the number of rows in the headers.
        'FpSpread1.Sheets(0).ColumnHeaderRowCount = 9

    End Sub

    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        'Get the data from Spread
        ''dsGrade = CType(FpSpread1.Sheets(0).DataSource, System.Data.DataSet)
        dsGrade = CType(FpSpread1.ActiveSheet.DataSource, System.Data.DataSet)
        'Dim ds As DataSet = FpSpread1.ActiveSheet.DataSource

        'Save the changes back to the database
        Try
            daGrade.Update(dsGrade.Tables("tblEnrol"))
            dsGrade.AcceptChanges()
            MessageBox.Show("Changes are comitted to the database")
        Catch ex As Exception
            MessageBox.Show(ex.ToString)
        End Try
        FormatSpread()
        FormatSpread1()
        formatspread2()
        FormatSpread3()
        formatspread4()
        FormatSpread5()

        formatspread7()
        formatspread11()

    End Sub

    '1st Grading
    Private Sub FormatSpread()
        Dim i As Integer
        With FpSpread1.Sheets(0)
            .AutoCalculation = True
            .DataAutoSizeColumns = True
            .ColumnHeader.Rows(0).Height = 30
            .FrozenColumnCount = 5
            .Columns(0, 4).Locked = True
            .Columns(0, 1).Visible = False
            .Columns(5, 11).Visible = False
            .Columns(111, 509).Visible = False
            For i = 0 To .RowCount - 1
                .Rows(i).Height = .GetPreferredRowHeight(i) + 5
            Next

            'set column width in pixels.
            .Columns(2).Width = 100
            .Columns(3).Width = 100
            .Columns(4).Width = 100

            'Assignment Columns
            .Columns(12).Width = 27
            .Columns(13).Width = 27
            .Columns(14).Width = 27
            .Columns(15).Width = 27
            .Columns(16).Width = 27
            .Columns(17).Width = 27
            .Columns(18).Width = 27
            .Columns(19).Width = 27
            .Columns(20).Width = 27
            .Columns(21).Width = 27
            .Columns(22).Width = 27
            .Columns(23).Width = 27
            .Columns(24).Width = 27
            .Columns(25).Width = 27
            .Columns(26).Width = 27
            .Columns(27).Width = 27
            .Columns(28).Width = 27
            .Columns(29).Width = 27
            .Columns(30).Width = 27
            .Columns(31).Width = 27

            'Quiz Columns
            .Columns(32).Width = 27
            .Columns(33).Width = 27
            .Columns(34).Width = 27
            .Columns(35).Width = 27
            .Columns(36).Width = 27
            .Columns(37).Width = 27
            .Columns(38).Width = 27
            .Columns(39).Width = 27
            .Columns(40).Width = 27
            .Columns(41).Width = 27
            .Columns(42).Width = 27
            .Columns(43).Width = 27
            .Columns(44).Width = 27
            .Columns(45).Width = 27
            .Columns(46).Width = 27
            .Columns(47).Width = 27
            .Columns(48).Width = 27
            .Columns(49).Width = 27
            .Columns(50).Width = 27
            .Columns(51).Width = 27

            'Recitation Columns
            .Columns(52).Width = 27
            .Columns(53).Width = 27
            .Columns(54).Width = 27
            .Columns(55).Width = 27
            .Columns(56).Width = 27
            .Columns(57).Width = 27
            .Columns(58).Width = 27
            .Columns(59).Width = 27
            .Columns(60).Width = 27
            .Columns(61).Width = 27
            .Columns(62).Width = 27
            .Columns(63).Width = 27
            .Columns(64).Width = 27
            .Columns(65).Width = 27
            .Columns(66).Width = 27
            .Columns(67).Width = 27
            .Columns(68).Width = 27
            .Columns(69).Width = 27
            .Columns(70).Width = 27
            .Columns(71).Width = 27

            'PROJ,SP,RDG,EXAM Columns
            .Columns(72).Width = 27
            .Columns(73).Width = 27
            .Columns(74).Width = 27
            .Columns(75).Width = 27
            .Columns(76).Width = 27
            .Columns(77).Width = 27
            .Columns(78).Width = 27
            .Columns(79).Width = 27

            'Total,Percent,Result Columns
            'Assignment
            .Columns(80).Width = 40
            .Columns(81).Width = 55
            .Columns(82).Width = 35
            .Columns(83).Width = 35

            'Quiz
            .Columns(84).Width = 40
            .Columns(85).Width = 55
            .Columns(86).Width = 35
            .Columns(87).Width = 35

            'Recitation
            .Columns(88).Width = 40
            .Columns(89).Width = 55
            .Columns(90).Width = 35
            .Columns(91).Width = 35

            'Project
            .Columns(92).Width = 40
            .Columns(93).Width = 55
            .Columns(94).Width = 35
            .Columns(95).Width = 35

            'Speech
            .Columns(96).Width = 43
            .Columns(97).Width = 60
            .Columns(98).Width = 35
            .Columns(99).Width = 35

            'Reading
            .Columns(100).Width = 47
            .Columns(101).Width = 62
            .Columns(102).Width = 35
            .Columns(103).Width = 35

            'Exam
            .Columns(104).Width = 40
            .Columns(105).Width = 55
            .Columns(106).Width = 35
            .Columns(107).Width = 35

            'TG,FG,REM
            .Columns(108).Width = 35
            .Columns(109).Width = 35
            .Columns(110).Width = 35

        End With
        ConditionalFormat()


        ' Set the labels as needed -- using the Label property or
        ' the cell Text property.
        ''With FpSpread1.Sheets(0).ColumnHeader
        ''    '.Cells(0, 0).Text = "Ukey"
        ''    '.Cells(0, 1).Text = "IDNo"
        ''    .Cells(0, 2).Text = "Last Name"
        ''    .Cells(0, 3).Text = "First Name"
        ''    .Cells(0, 4).Text = "Middle Name"

        ''    'Assignment Headers
        ''    .Cells(0, 12).Text = "A1 Item"
        ''    .Cells(0, 13).Text = "A1"
        ''    .Cells(0, 14).Text = "A2 Item"
        ''    .Cells(0, 15).Text = "A2"
        ''    .Cells(0, 16).Text = "A3 Item"
        ''    .Cells(0, 17).Text = "A3"
        ''    .Cells(0, 18).Text = "A4 Item"
        ''    .Cells(0, 19).Text = "A4"
        ''    .Cells(0, 20).Text = "A5 Item"
        ''    .Cells(0, 21).Text = "A5"
        ''    .Cells(0, 22).Text = "A6 Item"
        ''    .Cells(0, 23).Text = "A6"
        ''    .Cells(0, 24).Text = "A7 Item"
        ''    .Cells(0, 25).Text = "A7"
        ''    .Cells(0, 26).Text = "A8 Item"
        ''    .Cells(0, 27).Text = "A8"
        ''    .Cells(0, 28).Text = "A9 Item"
        ''    .Cells(0, 29).Text = "A9"
        ''    .Cells(0, 30).Text = "A10 Item"
        ''    .Cells(0, 31).Text = "A10"

        ''    'Quiz Headers
        ''    .Cells(0, 32).Text = "Q1 Item"
        ''    .Cells(0, 33).Text = "Q1"
        ''    .Cells(0, 34).Text = "Q2 Item"
        ''    .Cells(0, 35).Text = "Q2"
        ''    .Cells(0, 36).Text = "Q3 Item"
        ''    .Cells(0, 37).Text = "Q3"
        ''    .Cells(0, 38).Text = "Q4 Item"
        ''    .Cells(0, 39).Text = "Q4"
        ''    .Cells(0, 40).Text = "Q5 Item"
        ''    .Cells(0, 41).Text = "Q5"
        ''    .Cells(0, 42).Text = "Q6 Item"
        ''    .Cells(0, 43).Text = "Q6"
        ''    .Cells(0, 44).Text = "Q7 Item"
        ''    .Cells(0, 45).Text = "Q7"
        ''    .Cells(0, 46).Text = "Q8 Item"
        ''    .Cells(0, 47).Text = "Q8"
        ''    .Cells(0, 48).Text = "Q9 Item"
        ''    .Cells(0, 49).Text = "Q9"
        ''    .Cells(0, 50).Text = "Q10 Item"
        ''    .Cells(0, 51).Text = "Q10"

        ''    'Recitation Headers
        ''    .Cells(0, 52).Text = "R1 Item"
        ''    .Cells(0, 53).Text = "R1"
        ''    .Cells(0, 54).Text = "R2 Item"
        ''    .Cells(0, 55).Text = "R2"
        ''    .Cells(0, 56).Text = "R3 Item"
        ''    .Cells(0, 57).Text = "R3"
        ''    .Cells(0, 58).Text = "R4 Item"
        ''    .Cells(0, 59).Text = "R4"
        ''    .Cells(0, 60).Text = "R5 Item"
        ''    .Cells(0, 61).Text = "R5"
        ''    .Cells(0, 62).Text = "R6 Item"
        ''    .Cells(0, 63).Text = "R6"
        ''    .Cells(0, 64).Text = "R7 Item"
        ''    .Cells(0, 65).Text = "R7"
        ''    .Cells(0, 66).Text = "R8 Item"
        ''    .Cells(0, 67).Text = "R8"
        ''    .Cells(0, 68).Text = "R9 Item"
        ''    .Cells(0, 69).Text = "R9"
        ''    .Cells(0, 70).Text = "R10 Item"
        ''    .Cells(0, 71).Text = "R10"

        ''    'PROJ,SP,RDG,EXAM Headers
        ''    .Cells(0, 72).Text = "Prj Item"
        ''    .Cells(0, 73).Text = "Prj"
        ''    .Cells(0, 74).Text = "SP Item"
        ''    .Cells(0, 75).Text = "SP"
        ''    .Cells(0, 76).Text = "Rdg Item"
        ''    .Cells(0, 77).Text = "Rdg"
        ''    .Cells(0, 78).Text = "Ex Item"
        ''    .Cells(0, 79).Text = "Ex"

        ''    'Total,Percent,Result Headers
        ''    'Assignment
        ''    .Cells(0, 80).Text = "A"
        ''    .Cells(0, 81).Text = "Score"
        ''    .Cells(0, 82).Text = "A%"
        ''    .Cells(0, 83).Text = "Equiv"
        ''    'Quiz
        ''    .Cells(0, 84).Text = "Q"
        ''    .Cells(0, 85).Text = "Score"
        ''    .Cells(0, 86).Text = "Q%"
        ''    .Cells(0, 87).Text = "Equiv"
        ''    'Recitation
        ''    .Cells(0, 88).Text = "R"
        ''    .Cells(0, 89).Text = "Score"
        ''    .Cells(0, 90).Text = "R%"
        ''    .Cells(0, 91).Text = "Equiv"
        ''    'Project
        ''    .Cells(0, 92).Text = "P"
        ''    .Cells(0, 93).Text = "Score"
        ''    .Cells(0, 94).Text = "P%"
        ''    .Cells(0, 95).Text = "Equiv"
        ''    'Speech
        ''    .Cells(0, 96).Text = "SP"
        ''    .Cells(0, 97).Text = "Score"
        ''    .Cells(0, 98).Text = "SP%"
        ''    .Cells(0, 99).Text = "Equiv"
        ''    'Reading
        ''    .Cells(0, 100).Text = "Rdg"
        ''    .Cells(0, 101).Text = "Score"
        ''    .Cells(0, 102).Text = "Rdg%"
        ''    .Cells(0, 103).Text = "Equiv"
        ''    'Exam
        ''    .Cells(0, 104).Text = "Ex"
        ''    .Cells(0, 105).Text = "Score"
        ''    .Cells(0, 106).Text = "Ex%"
        ''    .Cells(0, 107).Text = "Equiv"
        ''    'TG,FG,REM Headers
        ''    .Cells(0, 108).Text = "TG"
        ''    .Cells(0, 109).Text = "FG"
        ''    .Cells(0, 110).Text = "REM"

        ''    ConditionalFormat()
        ''End With

    End Sub

    '2nd Grading
    Private Sub FormatSpread1()
        Dim i As Integer
        With FpSpread1.Sheets(1)
            .AutoCalculation = True
            .DataAutoSizeColumns = True
            .ColumnHeader.Rows(0).Height = 30
            .FrozenColumnCount = 5
            .Columns(0, 4).Locked = True
            .Columns(0, 1).Visible = False
            .Columns(5, 134).Visible = False
            .Columns(234, 509).Visible = False

            For i = 0 To .RowCount - 1
                .Rows(i).Height = .GetPreferredRowHeight(i) + 5
            Next

            'set column width in pixels.
            .Columns(2).Width = 100
            .Columns(3).Width = 100
            .Columns(4).Width = 100

            'Assignment Columns
            .Columns(135).Width = 27
            .Columns(136).Width = 27
            .Columns(137).Width = 27
            .Columns(138).Width = 27
            .Columns(139).Width = 27
            .Columns(140).Width = 27
            .Columns(141).Width = 27
            .Columns(142).Width = 27
            .Columns(143).Width = 27
            .Columns(144).Width = 27
            .Columns(145).Width = 27
            .Columns(146).Width = 27
            .Columns(147).Width = 27
            .Columns(148).Width = 27
            .Columns(149).Width = 27
            .Columns(150).Width = 27
            .Columns(151).Width = 27
            .Columns(152).Width = 27
            .Columns(153).Width = 27
            .Columns(154).Width = 27

            'Quiz Columns
            .Columns(155).Width = 27
            .Columns(156).Width = 27
            .Columns(157).Width = 27
            .Columns(158).Width = 27
            .Columns(159).Width = 27
            .Columns(160).Width = 27
            .Columns(161).Width = 27
            .Columns(162).Width = 27
            .Columns(163).Width = 27
            .Columns(164).Width = 27
            .Columns(165).Width = 27
            .Columns(166).Width = 27
            .Columns(167).Width = 27
            .Columns(168).Width = 27
            .Columns(169).Width = 27
            .Columns(170).Width = 27
            .Columns(171).Width = 27
            .Columns(172).Width = 27
            .Columns(173).Width = 27
            .Columns(174).Width = 27

            'Recitation Columns
            .Columns(175).Width = 27
            .Columns(176).Width = 27
            .Columns(177).Width = 27
            .Columns(178).Width = 27
            .Columns(179).Width = 27
            .Columns(180).Width = 27
            .Columns(181).Width = 27
            .Columns(182).Width = 27
            .Columns(183).Width = 27
            .Columns(184).Width = 27
            .Columns(185).Width = 27
            .Columns(186).Width = 27
            .Columns(187).Width = 27
            .Columns(188).Width = 27
            .Columns(189).Width = 27
            .Columns(190).Width = 27
            .Columns(191).Width = 27
            .Columns(192).Width = 27
            .Columns(193).Width = 27
            .Columns(194).Width = 27

            'PROJ,SP,RDG,EXAM Columns
            .Columns(195).Width = 27
            .Columns(196).Width = 27
            .Columns(197).Width = 27
            .Columns(198).Width = 27
            .Columns(199).Width = 27
            .Columns(200).Width = 27
            .Columns(201).Width = 27
            .Columns(202).Width = 27

            'Total,Percent,Result Columns
            'Assignment
            .Columns(203).Width = 40
            .Columns(204).Width = 55
            .Columns(205).Width = 35
            .Columns(206).Width = 35

            'Quiz
            .Columns(207).Width = 40
            .Columns(208).Width = 55
            .Columns(209).Width = 35
            .Columns(210).Width = 35

            'Recitation
            .Columns(211).Width = 40
            .Columns(212).Width = 55
            .Columns(213).Width = 35
            .Columns(214).Width = 35

            'Project
            .Columns(215).Width = 40
            .Columns(216).Width = 55
            .Columns(217).Width = 35
            .Columns(218).Width = 35

            'Speech
            .Columns(219).Width = 43
            .Columns(220).Width = 60
            .Columns(221).Width = 35
            .Columns(222).Width = 35

            'Reading
            .Columns(223).Width = 47
            .Columns(224).Width = 62
            .Columns(225).Width = 35
            .Columns(226).Width = 35

            'Exam
            .Columns(227).Width = 40
            .Columns(228).Width = 55
            .Columns(229).Width = 35
            .Columns(230).Width = 35

            'TG,FG,REM
            .Columns(231).Width = 35
            .Columns(232).Width = 35
            .Columns(233).Width = 35

        End With


        'Set the labels as needed -- using the Label property or
        'the cell Text property.
        With FpSpread1.Sheets(1).ColumnHeader
            '.Cells(0, 0).Text = "JMJ - Marist Brothers"
            .Cells(0, 2).Text = "Last Name"
            .Cells(0, 3).Text = "First Name"
            .Cells(0, 4).Text = "Middle Name"

            'Assignment Headers
            .Cells(0, 135).Text = "A1 Item"
            .Cells(0, 136).Text = "A1"
            .Cells(0, 137).Text = "A2 Item"
            .Cells(0, 138).Text = "A2"
            .Cells(0, 139).Text = "A3 Item"
            .Cells(0, 140).Text = "A3"
            .Cells(0, 141).Text = "A4 Item"
            .Cells(0, 142).Text = "A4"
            .Cells(0, 143).Text = "A5 Item"
            .Cells(0, 144).Text = "A5"
            .Cells(0, 145).Text = "A6 Item"
            .Cells(0, 146).Text = "A6"
            .Cells(0, 147).Text = "A7 Item"
            .Cells(0, 148).Text = "A7"
            .Cells(0, 149).Text = "A8 Item"
            .Cells(0, 150).Text = "A8"
            .Cells(0, 151).Text = "A9 Item"
            .Cells(0, 152).Text = "A9"
            .Cells(0, 153).Text = "A10 Item"
            .Cells(0, 154).Text = "A10"

            'Quiz Headers
            .Cells(0, 155).Text = "Q1 Item"
            .Cells(0, 156).Text = "Q1"
            .Cells(0, 157).Text = "Q2 Item"
            .Cells(0, 158).Text = "Q2"
            .Cells(0, 159).Text = "Q3 Item"
            .Cells(0, 160).Text = "Q3"
            .Cells(0, 161).Text = "Q4 Item"
            .Cells(0, 162).Text = "Q4"
            .Cells(0, 163).Text = "Q5 Item"
            .Cells(0, 164).Text = "Q5"
            .Cells(0, 165).Text = "Q6 Item"
            .Cells(0, 166).Text = "Q6"
            .Cells(0, 167).Text = "Q7 Item"
            .Cells(0, 168).Text = "Q7"
            .Cells(0, 169).Text = "Q8 Item"
            .Cells(0, 170).Text = "Q8"
            .Cells(0, 171).Text = "Q9 Item"
            .Cells(0, 172).Text = "Q9"
            .Cells(0, 173).Text = "Q10 Item"
            .Cells(0, 174).Text = "Q10"

            'Recitation Headers
            .Cells(0, 175).Text = "R1 Item"
            .Cells(0, 176).Text = "R1"
            .Cells(0, 177).Text = "R2 Item"
            .Cells(0, 178).Text = "R2"
            .Cells(0, 179).Text = "R3 Item"
            .Cells(0, 180).Text = "R3"
            .Cells(0, 181).Text = "R4 Item"
            .Cells(0, 182).Text = "R4"
            .Cells(0, 183).Text = "R5 Item"
            .Cells(0, 184).Text = "R5"
            .Cells(0, 185).Text = "R6 Item"
            .Cells(0, 186).Text = "R6"
            .Cells(0, 187).Text = "R7 Item"
            .Cells(0, 188).Text = "R7"
            .Cells(0, 189).Text = "R8 Item"
            .Cells(0, 190).Text = "R8"
            .Cells(0, 191).Text = "R9 Item"
            .Cells(0, 192).Text = "R9"
            .Cells(0, 193).Text = "R10 Item"
            .Cells(0, 194).Text = "R10"

            'PROJ,SP,RDG,EXAM Headers
            .Cells(0, 195).Text = "Proj Item"
            .Cells(0, 196).Text = "Proj"
            .Cells(0, 197).Text = "SP Item"
            .Cells(0, 198).Text = "SP"
            .Cells(0, 199).Text = "Rdg Item"
            .Cells(0, 200).Text = "Rdg"
            .Cells(0, 201).Text = "Ex Item"
            .Cells(0, 202).Text = "Ex"

            'Total,Percent,Result Headers
            'Assignment
            .Cells(0, 203).Text = "Total Assign"
            .Cells(0, 204).Text = "Total Score (A)"
            .Cells(0, 205).Text = "%"
            .Cells(0, 206).Text = "Equiv"
            'Quiz
            .Cells(0, 207).Text = "Total Quiz"
            .Cells(0, 208).Text = "Total Score (Q)"
            .Cells(0, 209).Text = "%"
            .Cells(0, 210).Text = "Equiv"
            'Recitation
            .Cells(0, 211).Text = "Total Rec"
            .Cells(0, 212).Text = "Total Score (R)"
            .Cells(0, 213).Text = "%"
            .Cells(0, 214).Text = "Equiv"
            'Project
            .Cells(0, 215).Text = "Total Proj"
            .Cells(0, 216).Text = "Total Score (P)"
            .Cells(0, 217).Text = "%"
            .Cells(0, 218).Text = "Equiv"
            'Speech
            .Cells(0, 219).Text = "Total Speech"
            .Cells(0, 220).Text = "Total Score (SP)"
            .Cells(0, 221).Text = "%"
            .Cells(0, 222).Text = "Equiv"
            'Reading
            .Cells(0, 223).Text = "Total Reading"
            .Cells(0, 224).Text = "Total Score (RDG)"
            .Cells(0, 225).Text = "%"
            .Cells(0, 226).Text = "Equiv"
            'Exam
            .Cells(0, 227).Text = "Total Exam"
            .Cells(0, 228).Text = "Total Score (E)"
            .Cells(0, 229).Text = "%"
            .Cells(0, 230).Text = "Equiv"
            'TG,FG,REM Headers
            .Cells(0, 231).Text = "TG"
            .Cells(0, 232).Text = "FG"
            .Cells(0, 233).Text = "REM"

            ConditionalFormat()
        End With
        'FpSpread1.Sheets(2).Cells(0, 0).Formula = "1st Grading!B1"

    End Sub

    '1-2 Deliberation
    Private Sub formatspread2()
        Dim i As Integer
        With FpSpread1.Sheets(2)
            .AutoCalculation = True
            .DataAutoSizeColumns = True
            .ColumnHeader.Rows(0).Height = 30
            .FrozenColumnCount = 5
            .Columns(0, 4).Locked = True
            .Columns(0, 1).Visible = False
            .Columns(5, 108).Visible = False
            .Columns(110, 231).Visible = False
            .Columns(233, 257).Visible = False
            .Columns(260, 509).Visible = False
            For i = 0 To .RowCount - 1
                .Rows(i).Height = .GetPreferredRowHeight(i) + 5
            Next

            'set column width in pixels.
            .Columns(2).Width = 100
            .Columns(3).Width = 100
            .Columns(4).Width = 100

            'FG 1st Grading
            .Columns(109).Width = 35
            'FG 2nd Grading
            .Columns(232).Width = 35
            'Ave
            .Columns(258).Width = 35
            'Rem
            .Columns(259).Width = 35
        End With


        ' Set the labels as needed -- using the Label property or
        ' the cell Text property.
        With FpSpread1.Sheets(2).ColumnHeader
            '.Cells(0, 0).Text = "JMJ - Marist Brothers"
            .Cells(0, 2).Text = "Last Name"
            .Cells(0, 3).Text = "First Name"
            .Cells(0, 4).Text = "Middle Name"

            'FG Headers
            '1st Grading
            .Cells(0, 109).Text = "1st"
            '2nd Grading
            .Cells(0, 232).Text = "2nd"
            'Ave
            .Cells(0, 258).Text = "Ave"
            'Rem
            .Cells(0, 259).Text = "Rem"

            '.Cells(0, 194).Formula = ".Cells(0, 100) + .Cells(0, 192)"
            '"SUM(Sheet1!A1:Sheet1:A100)" 
        End With

    End Sub

    '3rd Grading
    Private Sub FormatSpread3()
        Dim i As Integer
        With FpSpread1.Sheets(3)
            .AutoCalculation = True
            .DataAutoSizeColumns = True
            .ColumnHeader.Rows(0).Height = 30
            .FrozenColumnCount = 5
            .Columns(0, 4).Locked = True
            .Columns(0, 1).Visible = False
            .Columns(5, 259).Visible = False
            .Columns(359, 509).Visible = False
            For i = 0 To .RowCount - 1
                .Rows(i).Height = .GetPreferredRowHeight(i) + 5
            Next

            'set column width in pixels.
            .Columns(2).Width = 100
            .Columns(3).Width = 100
            .Columns(4).Width = 100

            'Assignment Columns
            .Columns(260).Width = 27
            .Columns(261).Width = 27
            .Columns(262).Width = 27
            .Columns(263).Width = 27
            .Columns(264).Width = 27
            .Columns(265).Width = 27
            .Columns(266).Width = 27
            .Columns(267).Width = 27
            .Columns(268).Width = 27
            .Columns(269).Width = 27
            .Columns(270).Width = 27
            .Columns(271).Width = 27
            .Columns(272).Width = 27
            .Columns(273).Width = 27
            .Columns(274).Width = 27
            .Columns(275).Width = 27
            .Columns(276).Width = 27
            .Columns(277).Width = 27
            .Columns(278).Width = 27
            .Columns(279).Width = 27

            'Quiz Columns
            .Columns(280).Width = 27
            .Columns(281).Width = 27
            .Columns(282).Width = 27
            .Columns(283).Width = 27
            .Columns(284).Width = 27
            .Columns(285).Width = 27
            .Columns(286).Width = 27
            .Columns(287).Width = 27
            .Columns(288).Width = 27
            .Columns(289).Width = 27
            .Columns(290).Width = 27
            .Columns(291).Width = 27
            .Columns(292).Width = 27
            .Columns(293).Width = 27
            .Columns(294).Width = 27
            .Columns(295).Width = 27
            .Columns(296).Width = 27
            .Columns(297).Width = 27
            .Columns(298).Width = 27
            .Columns(299).Width = 27

            'Recitation Columns
            .Columns(300).Width = 27
            .Columns(301).Width = 27
            .Columns(302).Width = 27
            .Columns(303).Width = 27
            .Columns(304).Width = 27
            .Columns(305).Width = 27
            .Columns(306).Width = 27
            .Columns(307).Width = 27
            .Columns(308).Width = 27
            .Columns(309).Width = 27
            .Columns(310).Width = 27
            .Columns(311).Width = 27
            .Columns(312).Width = 27
            .Columns(313).Width = 27
            .Columns(314).Width = 27
            .Columns(315).Width = 27
            .Columns(316).Width = 27
            .Columns(317).Width = 27
            .Columns(318).Width = 27
            .Columns(319).Width = 27

            'PROJ,SP,RDG,EXAM Columns
            .Columns(320).Width = 27
            .Columns(321).Width = 27
            .Columns(322).Width = 27
            .Columns(323).Width = 27
            .Columns(324).Width = 27
            .Columns(325).Width = 27
            .Columns(326).Width = 27
            .Columns(327).Width = 27

            'Total,Percent,Result Columns
            'Assignment
            .Columns(328).Width = 40
            .Columns(329).Width = 55
            .Columns(330).Width = 35
            .Columns(331).Width = 35

            'Quiz
            .Columns(332).Width = 40
            .Columns(333).Width = 55
            .Columns(334).Width = 35
            .Columns(335).Width = 35

            'Recitation
            .Columns(336).Width = 40
            .Columns(337).Width = 55
            .Columns(338).Width = 35
            .Columns(339).Width = 35

            'Project
            .Columns(340).Width = 40
            .Columns(341).Width = 55
            .Columns(342).Width = 35
            .Columns(343).Width = 35

            'Speech
            .Columns(344).Width = 43
            .Columns(345).Width = 60
            .Columns(346).Width = 35
            .Columns(347).Width = 35

            'Reading
            .Columns(348).Width = 47
            .Columns(349).Width = 62
            .Columns(350).Width = 35
            .Columns(351).Width = 35

            'Exam
            .Columns(352).Width = 40
            .Columns(353).Width = 55
            .Columns(354).Width = 35
            .Columns(355).Width = 35

            'TG,FG,REM
            .Columns(356).Width = 35
            .Columns(357).Width = 35
            .Columns(358).Width = 35
        End With

        'Set the labels as needed -- using the Label property or
        'the cell Text property.
        With FpSpread1.Sheets(3).ColumnHeader
            '.Cells(0, 0).Text = "JMJ - Marist Brothers"
            .Cells(0, 2).Text = "Last Name"
            .Cells(0, 3).Text = "First Name"
            .Cells(0, 4).Text = "Middle Name"

            'Assignment Headers
            .Cells(0, 260).Text = "A1 Item"
            .Cells(0, 261).Text = "A1"
            .Cells(0, 262).Text = "A2 Item"
            .Cells(0, 263).Text = "A2"
            .Cells(0, 264).Text = "A3 Item"
            .Cells(0, 265).Text = "A3"
            .Cells(0, 266).Text = "A4 Item"
            .Cells(0, 267).Text = "A4"
            .Cells(0, 268).Text = "A5 Item"
            .Cells(0, 269).Text = "A5"
            .Cells(0, 270).Text = "A6 Item"
            .Cells(0, 271).Text = "A6"
            .Cells(0, 272).Text = "A7 Item"
            .Cells(0, 273).Text = "A7"
            .Cells(0, 274).Text = "A8 Item"
            .Cells(0, 275).Text = "A8"
            .Cells(0, 276).Text = "A9 Item"
            .Cells(0, 277).Text = "A9"
            .Cells(0, 278).Text = "A10 Item"
            .Cells(0, 279).Text = "A10"

            'Quiz Headers
            .Cells(0, 280).Text = "Q1 Item"
            .Cells(0, 281).Text = "Q1"
            .Cells(0, 282).Text = "Q2 Item"
            .Cells(0, 283).Text = "Q2"
            .Cells(0, 284).Text = "Q3 Item"
            .Cells(0, 285).Text = "Q3"
            .Cells(0, 286).Text = "Q4 Item"
            .Cells(0, 287).Text = "Q4"
            .Cells(0, 288).Text = "Q5 Item"
            .Cells(0, 289).Text = "Q5"
            .Cells(0, 290).Text = "Q6 Item"
            .Cells(0, 291).Text = "Q6"
            .Cells(0, 292).Text = "Q7 Item"
            .Cells(0, 293).Text = "Q7"
            .Cells(0, 294).Text = "Q8 Item"
            .Cells(0, 295).Text = "Q8"
            .Cells(0, 296).Text = "Q9 Item"
            .Cells(0, 297).Text = "Q9"
            .Cells(0, 298).Text = "Q10 Item"
            .Cells(0, 299).Text = "Q10"

            'Recitation Headers
            .Cells(0, 300).Text = "R1 Item"
            .Cells(0, 301).Text = "R1"
            .Cells(0, 302).Text = "R2 Item"
            .Cells(0, 303).Text = "R2"
            .Cells(0, 304).Text = "R3 Item"
            .Cells(0, 305).Text = "R3"
            .Cells(0, 306).Text = "R4 Item"
            .Cells(0, 307).Text = "R4"
            .Cells(0, 308).Text = "R5 Item"
            .Cells(0, 309).Text = "R5"
            .Cells(0, 310).Text = "R6 Item"
            .Cells(0, 311).Text = "R6"
            .Cells(0, 312).Text = "R7 Item"
            .Cells(0, 313).Text = "R7"
            .Cells(0, 314).Text = "R8 Item"
            .Cells(0, 315).Text = "R8"
            .Cells(0, 316).Text = "R9 Item"
            .Cells(0, 317).Text = "R9"
            .Cells(0, 318).Text = "R10 Item"
            .Cells(0, 319).Text = "R10"

            'PROJ,SP,RDG,EXAM Headers
            .Cells(0, 320).Text = "Proj Item"
            .Cells(0, 321).Text = "Proj"
            .Cells(0, 322).Text = "SP Item"
            .Cells(0, 323).Text = "SP"
            .Cells(0, 324).Text = "Rdg Item"
            .Cells(0, 325).Text = "Rdg"
            .Cells(0, 326).Text = "Ex Item"
            .Cells(0, 327).Text = "Ex"

            'Total,Percent,Result Headers
            'Assignment
            .Cells(0, 328).Text = "Total Assign"
            .Cells(0, 329).Text = "Total Score (A)"
            .Cells(0, 330).Text = "%"
            .Cells(0, 331).Text = "Equiv"
            'Quiz
            .Cells(0, 332).Text = "Total Quiz"
            .Cells(0, 333).Text = "Total Score (Q)"
            .Cells(0, 334).Text = "%"
            .Cells(0, 335).Text = "Equiv"

            'Recitation
            .Cells(0, 336).Text = "Total Rec"
            .Cells(0, 337).Text = "Total Score (R)"
            .Cells(0, 338).Text = "%"
            .Cells(0, 339).Text = "Equiv"

            'Project
            .Cells(0, 340).Text = "Total Proj"
            .Cells(0, 341).Text = "Total Score (P)"
            .Cells(0, 342).Text = "%"
            .Cells(0, 343).Text = "Equiv"

            'Speech
            .Cells(0, 344).Text = "Total Speech"
            .Cells(0, 345).Text = "Total Score (SP)"
            .Cells(0, 346).Text = "%"
            .Cells(0, 347).Text = "Equiv"

            'Reading
            .Cells(0, 348).Text = "Total Reading"
            .Cells(0, 349).Text = "Total Score (RDG)"
            .Cells(0, 350).Text = "%"
            .Cells(0, 351).Text = "Equiv"

            'Exam
            .Cells(0, 352).Text = "Total Exam"
            .Cells(0, 353).Text = "Total Score (E)"
            .Cells(0, 354).Text = "%"
            .Cells(0, 355).Text = "Equiv"

            'TG,FG,REM Headers
            .Cells(0, 356).Text = "TG"
            .Cells(0, 357).Text = "FG"
            .Cells(0, 358).Text = "REM"
            ConditionalFormat()
        End With
    End Sub

    '1-3 Deliberation
    Private Sub formatspread4()
        Dim i As Integer
        With FpSpread1.Sheets(4)
            .DataAutoSizeColumns = True
            .ColumnHeader.Rows(0).Height = 30
            .FrozenColumnCount = 5
            .Columns(0, 4).Locked = True
            .Columns(0, 1).Visible = False
            .Columns(5, 108).Visible = False
            .Columns(110, 231).Visible = False
            .Columns(233, 356).Visible = False
            .Columns(358, 382).Visible = False
            .Columns(385, 509).Visible = False
            For i = 0 To .RowCount - 1
                .Rows(i).Height = .GetPreferredRowHeight(i) + 5
            Next

            'set column width in pixels.
            .Columns(2).Width = 100
            .Columns(3).Width = 100
            .Columns(4).Width = 100

            'FG 1st Grading
            .Columns(109).Width = 35
            'FG 2nd Grading
            .Columns(232).Width = 35
            'FG 3rd Grading
            .Columns(357).Width = 35
            'Ave
            .Columns(383).Width = 35
            'Rem
            .Columns(384).Width = 35
        End With


        ' Set the labels as needed -- using the Label property or
        ' the cell Text property.
        With FpSpread1.Sheets(4).ColumnHeader
            '.Cells(0, 0).Text = "JMJ - Marist Brothers"
            .Cells(0, 2).Text = "Last Name"
            .Cells(0, 3).Text = "First Name"
            .Cells(0, 4).Text = "Middle Name"

            'FG Headers
            '1st Grading
            .Cells(0, 109).Text = "1st"
            '2nd Grading
            .Cells(0, 232).Text = "2nd"
            '3rd Grading
            .Cells(0, 357).Text = "3rd"
            'Ave
            .Cells(0, 383).Text = "Ave"
            'Rem
            .Cells(0, 384).Text = "Rem"


            '.Cells(0, 194).Formula = ".Cells(0, 100) + .Cells(0, 192)"
            '"SUM(Sheet1!A1:Sheet1:A100)" 
        End With

    End Sub

    '4th Grading
    Private Sub FormatSpread5()
        Dim i As Integer
        With FpSpread1.Sheets(5)
            .AutoCalculation = True
            .DataAutoSizeColumns = True
            .ColumnHeader.Rows(0).Height = 30
            .FrozenColumnCount = 5
            .Columns(0, 4).Locked = True
            .Columns(0, 1).Visible = False
            .Columns(5, 384).Visible = False
            .Columns(484, 509).Visible = False

            For i = 0 To .RowCount - 1
                .Rows(i).Height = .GetPreferredRowHeight(i) + 5
            Next

            'set column width in pixels.
            .Columns(2).Width = 100
            .Columns(3).Width = 100
            .Columns(4).Width = 100

            'Assignment Columns
            .Columns(385).Width = 27
            .Columns(386).Width = 27
            .Columns(387).Width = 27
            .Columns(388).Width = 27
            .Columns(389).Width = 27
            .Columns(390).Width = 27
            .Columns(391).Width = 27
            .Columns(392).Width = 27
            .Columns(393).Width = 27
            .Columns(394).Width = 27
            .Columns(395).Width = 27
            .Columns(396).Width = 27
            .Columns(397).Width = 27
            .Columns(398).Width = 27
            .Columns(399).Width = 27
            .Columns(400).Width = 27
            .Columns(401).Width = 27
            .Columns(402).Width = 27
            .Columns(403).Width = 27
            .Columns(404).Width = 27

            'Quiz Columns
            .Columns(405).Width = 27
            .Columns(406).Width = 27
            .Columns(407).Width = 27
            .Columns(408).Width = 27
            .Columns(409).Width = 27
            .Columns(410).Width = 27
            .Columns(411).Width = 27
            .Columns(412).Width = 27
            .Columns(413).Width = 27
            .Columns(414).Width = 27
            .Columns(415).Width = 27
            .Columns(416).Width = 27
            .Columns(417).Width = 27
            .Columns(418).Width = 27
            .Columns(419).Width = 27
            .Columns(420).Width = 27
            .Columns(421).Width = 27
            .Columns(422).Width = 27
            .Columns(423).Width = 27
            .Columns(424).Width = 27

            'Recitation Columns
            .Columns(425).Width = 27
            .Columns(426).Width = 27
            .Columns(427).Width = 27
            .Columns(428).Width = 27
            .Columns(429).Width = 27
            .Columns(430).Width = 27
            .Columns(431).Width = 27
            .Columns(432).Width = 27
            .Columns(433).Width = 27
            .Columns(434).Width = 27
            .Columns(435).Width = 27
            .Columns(436).Width = 27
            .Columns(437).Width = 27
            .Columns(438).Width = 27
            .Columns(439).Width = 27
            .Columns(440).Width = 27
            .Columns(441).Width = 27
            .Columns(442).Width = 27
            .Columns(443).Width = 27
            .Columns(444).Width = 27

            'PROJ,SP,RDG,EXAM Columns
            .Columns(445).Width = 27
            .Columns(446).Width = 27
            .Columns(447).Width = 27
            .Columns(448).Width = 27
            .Columns(449).Width = 27
            .Columns(450).Width = 27
            .Columns(451).Width = 27
            .Columns(452).Width = 27

            'Total,Percent,Result Columns
            'Assignment
            .Columns(453).Width = 40
            .Columns(454).Width = 55
            .Columns(455).Width = 35
            .Columns(456).Width = 35

            'Quiz
            .Columns(457).Width = 40
            .Columns(458).Width = 55
            .Columns(459).Width = 35
            .Columns(460).Width = 35

            'Recitation
            .Columns(461).Width = 40
            .Columns(462).Width = 55
            .Columns(463).Width = 35
            .Columns(464).Width = 35

            'Project
            .Columns(465).Width = 40
            .Columns(466).Width = 55
            .Columns(467).Width = 35
            .Columns(468).Width = 35

            'Speech
            .Columns(469).Width = 43
            .Columns(470).Width = 60
            .Columns(471).Width = 35
            .Columns(472).Width = 35

            'Reading
            .Columns(473).Width = 47
            .Columns(474).Width = 62
            .Columns(475).Width = 35
            .Columns(476).Width = 35

            'Exam
            .Columns(477).Width = 40
            .Columns(478).Width = 55
            .Columns(479).Width = 35
            .Columns(480).Width = 35

            'TG,FG,REM
            .Columns(481).Width = 35
            .Columns(482).Width = 35
            .Columns(483).Width = 35
        End With

        ' Set the labels as needed -- using the Label property or
        ' the cell Text property.
        With FpSpread1.Sheets(5).ColumnHeader
            '.Cells(0, 0).Text = "JMJ - Marist Brothers"
            .Cells(0, 2).Text = "Last Name"
            .Cells(0, 3).Text = "First Name"
            .Cells(0, 4).Text = "Middle Name"

            'Assignment Headers
            .Cells(0, 385).Text = "A1 Item"
            .Cells(0, 386).Text = "A1"
            .Cells(0, 387).Text = "A2 Item"
            .Cells(0, 388).Text = "A2"
            .Cells(0, 389).Text = "A3 Item"
            .Cells(0, 390).Text = "A3"
            .Cells(0, 391).Text = "A4 Item"
            .Cells(0, 392).Text = "A4"
            .Cells(0, 393).Text = "A5 Item"
            .Cells(0, 394).Text = "A5"
            .Cells(0, 395).Text = "A6 Item"
            .Cells(0, 396).Text = "A6"
            .Cells(0, 397).Text = "A7 Item"
            .Cells(0, 398).Text = "A7"
            .Cells(0, 399).Text = "A8 Item"
            .Cells(0, 400).Text = "A8"
            .Cells(0, 401).Text = "A9 Item"
            .Cells(0, 402).Text = "A9"
            .Cells(0, 403).Text = "A10 Item"
            .Cells(0, 404).Text = "A10"

            'Quiz Headers
            .Cells(0, 405).Text = "Q1 Item"
            .Cells(0, 406).Text = "Q1"
            .Cells(0, 407).Text = "Q2 Item"
            .Cells(0, 408).Text = "Q2"
            .Cells(0, 409).Text = "Q3 Item"
            .Cells(0, 410).Text = "Q3"
            .Cells(0, 411).Text = "Q4 Item"
            .Cells(0, 412).Text = "Q4"
            .Cells(0, 413).Text = "Q5 Item"
            .Cells(0, 414).Text = "Q5"
            .Cells(0, 415).Text = "Q6 Item"
            .Cells(0, 416).Text = "Q6"
            .Cells(0, 417).Text = "Q7 Item"
            .Cells(0, 418).Text = "Q7"
            .Cells(0, 419).Text = "Q8 Item"
            .Cells(0, 420).Text = "Q8"
            .Cells(0, 421).Text = "Q9 Item"
            .Cells(0, 422).Text = "Q9"
            .Cells(0, 423).Text = "Q10 Item"
            .Cells(0, 424).Text = "Q10"

            'Recitation Headers
            .Cells(0, 425).Text = "R1 Item"
            .Cells(0, 426).Text = "R1"
            .Cells(0, 427).Text = "R2 Item"
            .Cells(0, 428).Text = "R2"
            .Cells(0, 429).Text = "R3 Item"
            .Cells(0, 430).Text = "R3"
            .Cells(0, 431).Text = "R4 Item"
            .Cells(0, 432).Text = "R4"
            .Cells(0, 433).Text = "R5 Item"
            .Cells(0, 434).Text = "R5"
            .Cells(0, 435).Text = "R6 Item"
            .Cells(0, 436).Text = "R6"
            .Cells(0, 437).Text = "R7 Item"
            .Cells(0, 438).Text = "R7"
            .Cells(0, 439).Text = "R8 Item"
            .Cells(0, 440).Text = "R8"
            .Cells(0, 441).Text = "R9 Item"
            .Cells(0, 442).Text = "R9"
            .Cells(0, 443).Text = "R10 Item"
            .Cells(0, 444).Text = "R10"

            'PROJ,SP,RDG,EXAM Headers
            .Cells(0, 445).Text = "Proj Item"
            .Cells(0, 446).Text = "Proj"
            .Cells(0, 447).Text = "SP Item"
            .Cells(0, 448).Text = "SP"
            .Cells(0, 449).Text = "Rdg Item"
            .Cells(0, 450).Text = "Rdg"
            .Cells(0, 451).Text = "Ex Item"
            .Cells(0, 452).Text = "Ex"

            'Total,Percent,Result Headers
            'Assignment
            .Cells(0, 453).Text = "Total Assign"
            .Cells(0, 454).Text = "Total Score (A)"
            .Cells(0, 455).Text = "%"
            .Cells(0, 456).Text = "Equiv"

            'Quiz
            .Cells(0, 457).Text = "Total Quiz"
            .Cells(0, 458).Text = "Total Score (Q)"
            .Cells(0, 459).Text = "%"
            .Cells(0, 460).Text = "Equiv"

            'Recitation
            .Cells(0, 461).Text = "Total Rec"
            .Cells(0, 462).Text = "Total Score (R)"
            .Cells(0, 463).Text = "%"
            .Cells(0, 464).Text = "Equiv"

            'Project
            .Cells(0, 465).Text = "Total Proj"
            .Cells(0, 466).Text = "Total Score (P)"
            .Cells(0, 467).Text = "%"
            .Cells(0, 468).Text = "Equiv"

            'Speech
            .Cells(0, 469).Text = "Total Speech"
            .Cells(0, 470).Text = "Total Score (SP)"
            .Cells(0, 471).Text = "%"
            .Cells(0, 472).Text = "Equiv"

            'Reading
            .Cells(0, 473).Text = "Total Reading"
            .Cells(0, 474).Text = "Total Score (RDG)"
            .Cells(0, 475).Text = "%"
            .Cells(0, 476).Text = "Equiv"

            'Exam
            .Cells(0, 477).Text = "Total Exam"
            .Cells(0, 478).Text = "Total Score (E)"
            .Cells(0, 479).Text = "Ex%"
            .Cells(0, 480).Text = "Equiv"

            'TG,FG,REM Headers
            .Cells(0, 481).Text = "TG"
            .Cells(0, 482).Text = "FG"
            .Cells(0, 483).Text = "REM"

            ConditionalFormat()
        End With
    End Sub

    'Final Grade
    Private Sub formatspread6()
        Dim i As Integer
        With FpSpread1.Sheets(6)
            .DataAutoSizeColumns = True
            .ColumnHeader.Rows(0).Height = 30
            .FrozenColumnCount = 4
            .Columns(0, 3).Locked = True
            .Columns(0).Visible = False
            .Columns(4, 106).Visible = False
            .Columns(108, 229).Visible = False
            .Columns(231, 354).Visible = False
            .Columns(356, 479).Visible = False
            .Columns(481, 505).Visible = False
            For i = 0 To .RowCount - 1
                .Rows(i).Height = .GetPreferredRowHeight(i) + 5
            Next

            'set column width in pixels.
            .Columns(1).Width = 100
            .Columns(2).Width = 100
            .Columns(3).Width = 100

            'FG 1st Grading
            .Columns(107).Width = 35
            'FG 2nd Grading
            .Columns(230).Width = 35
            'FG 3rd Grading
            .Columns(355).Width = 35
            'FG 4th Grading
            .Columns(480).Width = 35
            'Ave
            .Columns(506).Width = 35
            'Rem
            .Columns(507).Width = 35
        End With


        ' Set the labels as needed -- using the Label property or
        ' the cell Text property.
        With FpSpread1.Sheets(6).ColumnHeader
            '.Cells(0, 0).Text = "JMJ - Marist Brothers"
            .Cells(0, 1).Text = "Last Name"
            .Cells(0, 2).Text = "First Name"
            .Cells(0, 3).Text = "Middle Name"

            'FG Headers
            '1st Grading
            .Cells(0, 107).Text = "1st"
            '2nd Grading
            .Cells(0, 230).Text = "2nd"
            '3rd Grading
            .Cells(0, 355).Text = "3rd"
            '4th Grading
            .Cells(0, 480).Text = "4th"
            'Ave
            .Cells(0, 506).Text = "Ave"
            'Rem
            .Cells(0, 507).Text = "Rem"


            '.Cells(0, 194).Formula = ".Cells(0, 100) + .Cells(0, 192)"
            '"SUM(Sheet1!A1:Sheet1:A100)" 
        End With

    End Sub

    'Conduct 1st
    Private Sub formatspread7()
        Dim i As Integer
        With FpSpread1.Sheets(7)
            .AutoCalculation = True
            .DataAutoSizeColumns = True
            .ColumnHeader.Rows(0).Height = 30
            .FrozenColumnCount = 5
            .Columns(0, 4).Locked = True
            .Columns(0, 1).Visible = False
            .Columns(5, 110).Visible = False
            .Columns(115, 509).Visible = False

            For i = 0 To .RowCount - 1
                .Rows(i).Height = .GetPreferredRowHeight(i) + 5
            Next

            'set column width in pixels.
            .Columns(2).Width = 100
            .Columns(3).Width = 100
            .Columns(4).Width = 100

            'CPC Column
            .Columns(111).Width = 30

            'Teacher Column
            .Columns(112).Width = 47

            'FG,LG
            .Columns(113).Width = 35
            .Columns(114).Width = 35
        End With

        ' Set the labels as needed -- using the Label property or
        ' the cell Text property.
        With FpSpread1.Sheets(7).ColumnHeader
            '.Cells(0, 0).Text = "JMJ - Marist Brothers"
            .Cells(0, 2).Text = "Last Name"
            .Cells(0, 3).Text = "First Name"
            .Cells(0, 4).Text = "Middle Name"

            'CPC Headers
            .Cells(0, 111).Text = "CPC"

            'Teacher Headers
            .Cells(0, 112).Text = "Subj. Teacher"

            'FG,LG Headers
            .Cells(0, 113).Text = "FG"
            .Cells(0, 114).Text = "LG"

            ConditionalFormat()
        End With
    End Sub

    Private Sub formatspread11()
        Dim i As Integer
        With FpSpread1.Sheets(11)
            .AutoCalculation = True
            .DataAutoSizeColumns = True
            .ColumnHeader.Rows(0).Height = 30
            .FrozenColumnCount = 5
            .Columns(0, 4).Locked = True
            .Columns(0, 1).Visible = False
            .Columns(5, 114).Visible = False
            .Columns(135, 509).Visible = False

            For i = 0 To .RowCount - 1
                .Rows(i).Height = .GetPreferredRowHeight(i) + 5
            Next

            'set column width in pixels.
            .Columns(2).Width = 100
            .Columns(3).Width = 100
            .Columns(4).Width = 100

            'Work Output Column
            .Columns(115).Width = 35
            .Columns(116).Width = 35
            .Columns(117).Width = 35
            .Columns(118).Width = 35

            'Attendance Column
            .Columns(119).Width = 35
            .Columns(120).Width = 35
            .Columns(121).Width = 35
            .Columns(122).Width = 35

            'Punctuality Column
            .Columns(123).Width = 35
            .Columns(124).Width = 35
            .Columns(125).Width = 35
            .Columns(126).Width = 35

            'Involvement Column
            .Columns(127).Width = 40
            .Columns(128).Width = 40
            .Columns(129).Width = 35
            .Columns(130).Width = 35

            'TG,FG,Rem Column
            .Columns(131).Width = 35
            .Columns(132).Width = 35
            .Columns(133).Width = 30

            'Club Column
            .Columns(134).Width = 30
        End With

        ' Set the labels as needed -- using the Label property or
        ' the cell Text property.
        With FpSpread1.Sheets(11).ColumnHeader
            '.Cells(0, 0).Text = "JMJ - Marist Brothers"
            .Cells(0, 2).Text = "Last Name"
            .Cells(0, 3).Text = "First Name"
            .Cells(0, 4).Text = "Middle Name"

            'Work Output Headers
            .Cells(0, 115).Text = "WO item"
            .Cells(0, 116).Text = "WO Score"
            .Cells(0, 117).Text = "%"
            .Cells(0, 118).Text = "Equiv"

            'Attendance Headers
            .Cells(0, 119).Text = "Att. item"
            .Cells(0, 120).Text = "Att. Score"
            .Cells(0, 121).Text = "%"
            .Cells(0, 122).Text = "Equiv"

            'Punctuality Headers
            .Cells(0, 123).Text = "Punc. item"
            .Cells(0, 124).Text = "Punc. Score"
            .Cells(0, 125).Text = "%"
            .Cells(0, 126).Text = "Equiv"

            'Involvement Headers
            .Cells(0, 127).Text = "Involve item"
            .Cells(0, 128).Text = "Involve Score"
            .Cells(0, 129).Text = "%"
            .Cells(0, 130).Text = "Equiv"

            'TG,FG,Rem Headers
            .Cells(0, 131).Text = "TG"
            .Cells(0, 132).Text = "FG"
            .Cells(0, 133).Text = "Rem"

            'Club Header
            .Cells(0, 134).Text = "Club"

            ConditionalFormat()
        End With
    End Sub

    Private Sub frmGrade_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        With FpSpread1
            .Sheets.Count = 17
            .Sheets(0).SheetName = "1stGrading"
            .Sheets(1).SheetName = "2ndGrading"
            .Sheets(2).SheetName = "1-2Deliberation"
            .Sheets(3).SheetName = "3rdGrading"
            .Sheets(4).SheetName = "1-3Deliberation"
            .Sheets(5).SheetName = "4thGrading"
            .Sheets(6).SheetName = "FinalGrade"
            .Sheets(7).SheetName = "Conduct1st"
            .Sheets(8).SheetName = "Conduct2nd"
            .Sheets(9).SheetName = "Conduct3rd"
            .Sheets(10).SheetName = "ConductFinal"
            .Sheets(11).SheetName = "HRM1st"
            .Sheets(12).SheetName = "HRM2nd"
            .Sheets(13).SheetName = "HRM3rd"
            .Sheets(14).SheetName = "HRM4th"
            .Sheets(15).SheetName = "HrmFinal"
            .Sheets(16).SheetName = "Attendance1st"

        End With

        'Set Default Skin
        Dim i As Integer
        For i = 0 To FpSpread1.Sheets.Count - 1
            FarPoint.Win.Spread.DefaultSpreadSkins.Shamrock.Apply(FpSpread1.Sheets(i))
        Next
    End Sub

    ''Private Sub FpSpread1_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles FpSpread1.KeyDown
    ''    'NOTE: The code below is working... can be used in keypress too.

    ''    ''Map the enter key
    ''    ' ''Dim im As FarPoint.Win.Spread.InputMap
    ''    ' ''Dim im2 As FarPoint.Win.Spread.InputMap
    ''    ' ''im = FpSpread1.GetInputMap(FarPoint.Win.Spread.InputMapMode.WhenFocused)
    ''    ' ''im2 = FpSpread1.GetInputMap(FarPoint.Win.Spread.InputMapMode.WhenAncestorOfFocused)
    ''    ' ''im.Put(New FarPoint.Win.Spread.Keystroke(Keys.Enter, Keys.None), FarPoint.Win.Spread.SpreadActions.MoveToNextRow)
    ''    ' ''im2.Put(New FarPoint.Win.Spread.Keystroke(Keys.Enter, Keys.None), FarPoint.Win.Spread.SpreadActions.MoveToNextRow)

    ''    ' ''The following code makes the Enter key act just like the Tab key.
    ''    ' ''Dim im As FarPoint.Win.Spread.InputMap
    ''    ' ''im = FpSpread1.GetInputMap(FarPoint.Win.Spread.InputMapMode.WhenAncestorOfFocused)
    ''    ' ''im.Put(New FarPoint.Win.Spread.Keystroke(Keys.Enter, Keys.None), FarPoint.Win.Spread.SpreadActions.MoveToNextColumn)
    ''    ' ''im = FpSpread1.GetInputMap(FarPoint.Win.Spread.InputMapMode.WhenFocused)
    ''    ' ''im.Put(New FarPoint.Win.Spread.Keystroke(Keys.Enter, Keys.None), FarPoint.Win.Spread.SpreadActions.MoveToNextColumn)

    ''    If e.KeyCode = Keys.Delete Or e.KeyCode = Keys.Back Then
    ''        FpSpread1.ActiveSheet.Cells(FpSpread1.ActiveSheet.ActiveRowIndex, FpSpread1.ActiveSheet.ActiveColumnIndex).Value = Nothing
    ''    End If
    ''End Sub

    ''Private Sub FpSpread1_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles FpSpread1.KeyPress
    ''    'Map the enter key
    ''    Dim im As FarPoint.Win.Spread.InputMap
    ''    Dim im2 As FarPoint.Win.Spread.InputMap
    ''    im = FpSpread1.GetInputMap(FarPoint.Win.Spread.InputMapMode.WhenFocused)
    ''    im2 = FpSpread1.GetInputMap(FarPoint.Win.Spread.InputMapMode.WhenAncestorOfFocused)
    ''    im.Put(New FarPoint.Win.Spread.Keystroke(Keys.Enter, Keys.None), FarPoint.Win.Spread.SpreadActions.MoveToNextRow)
    ''    im2.Put(New FarPoint.Win.Spread.Keystroke(Keys.Enter, Keys.None), FarPoint.Win.Spread.SpreadActions.MoveToNextRow)
    ''End Sub

    'Private Sub FpSpread1_EditModeOff(ByVal sender As Object, ByVal e As System.EventArgs) Handles FpSpread1.EditModeOff
    '    RemoveHandler FpSpread1.EditingControl.KeyDown, AddressOf FpSpread1_KeyDown
    'End Sub

    ''Private Sub FpSpread1_EditModeOn(ByVal sender As Object, ByVal e As System.EventArgs)
    ''    AddHandler FpSpread1.EditingControl.KeyDown, AddressOf FpSpread1_KeyDown
    ''End Sub

    Private Sub FpSpread1_LeaveCell(ByVal sender As Object, ByVal e As Win.Spread.LeaveCellEventArgs) Handles FpSpread1.LeaveCell
        'Dim r As Integer
        'Dim v As Object
        'Dim v2 As Object
        'For r = 0 To 59
        '    v = FpSpread1.ActiveSheet.GetValue(r, 0)
        '    v2 = FpSpread1.ActiveSheet.GetValue(e.Row, e.Column)
        '    If v2 > v Then
        '        FpSpread1.ActiveSheet.Cells(e.Row, e.Column).ForeColor = Color.Red
        '    End If
        'Next
        ConditionalFormat()
    End Sub

    Private Sub ConditionalFormat()

        'put cell Forecolor 
        Dim styleHot As New FarPoint.Win.Spread.NamedStyle
        styleHot.ForeColor = Color.Red

        If TypeOf FpSpread1.ActiveSheet.Models.Style Is FarPoint.Win.Spread.IConditionalFormatSupport Then
            'column 109 will be color red if less than 74.50
            CType(FpSpread1.ActiveSheet.Models.Style, FarPoint.Win.Spread.IConditionalFormatSupport).SetConditionalFormat(-1, 109, styleHot, FarPoint.Win.Spread.ComparisonOperator.LessThanOrEqualTo, "74.50")
            'column 232 will be color red if less than 74.50
            CType(FpSpread1.ActiveSheet.Models.Style, FarPoint.Win.Spread.IConditionalFormatSupport).SetConditionalFormat(-1, 232, styleHot, FarPoint.Win.Spread.ComparisonOperator.LessThanOrEqualTo, "74.50")
            'column 259 will be color red if less than 74.50
            CType(FpSpread1.ActiveSheet.Models.Style, FarPoint.Win.Spread.IConditionalFormatSupport).SetConditionalFormat(-1, 258, styleHot, FarPoint.Win.Spread.ComparisonOperator.LessThanOrEqualTo, "74.50")
            'column 357 will be color red if less than 74.50
            CType(FpSpread1.ActiveSheet.Models.Style, FarPoint.Win.Spread.IConditionalFormatSupport).SetConditionalFormat(-1, 357, styleHot, FarPoint.Win.Spread.ComparisonOperator.LessThanOrEqualTo, "74.50")
            'column 383 will be color red if less than 74.50
            CType(FpSpread1.ActiveSheet.Models.Style, FarPoint.Win.Spread.IConditionalFormatSupport).SetConditionalFormat(-1, 383, styleHot, FarPoint.Win.Spread.ComparisonOperator.LessThanOrEqualTo, "74.50")

        End If



        ''put cell backcolor
        'Dim styleCold As New FarPoint.Win.Spread.NamedStyle
        'Dim styleCool As New FarPoint.Win.Spread.NamedStyle
        'Dim styleMild As New FarPoint.Win.Spread.NamedStyle
        'Dim styleWarm As New FarPoint.Win.Spread.NamedStyle
        'Dim styleHot As New FarPoint.Win.Spread.NamedStyle
        'styleCold.BackColor = Color.Blue
        'styleCold.ForeColor = Color.White
        'styleCool.BackColor = Color.Cyan
        'styleMild.BackColor = Color.Lime
        'styleWarm.BackColor = Color.Yellow
        'styleHot.BackColor = Color.Red

        'If TypeOf FpSpread1.ActiveSheet.Models.Style Is FarPoint.Win.Spread.IConditionalFormatSupport Then
        '    CType(FpSpread1.ActiveSheet.Models.Style, FarPoint.Win.Spread.IConditionalFormatSupport).SetConditionalFormat(0, 11, styleCold, FarPoint.Win.Spread.ComparisonOperator.LessThanOrEqualTo, "40")
        '    CType(FpSpread1.ActiveSheet.Models.Style, FarPoint.Win.Spread.IConditionalFormatSupport).SetConditionalFormat(1, 1, styleCool, FarPoint.Win.Spread.ComparisonOperator.Between, "40", "55")
        '    CType(FpSpread1.ActiveSheet.Models.Style, FarPoint.Win.Spread.IConditionalFormatSupport).SetConditionalFormat(1, 1, styleMild, FarPoint.Win.Spread.ComparisonOperator.Between, "55", "75")
        '    CType(FpSpread1.ActiveSheet.Models.Style, FarPoint.Win.Spread.IConditionalFormatSupport).SetConditionalFormat(1, 1, styleWarm, FarPoint.Win.Spread.ComparisonOperator.Between, "75", "85")
        '    CType(FpSpread1.ActiveSheet.Models.Style, FarPoint.Win.Spread.IConditionalFormatSupport).SetConditionalFormat(1, 1, styleHot, FarPoint.Win.Spread.ComparisonOperator.GreaterThan, "85")
        'End If
    End Sub

End Class
